# Interface UIEvents.ApplicationElement

Enclosing class:
  `UIEvents`

public static interface UIEvents.ApplicationElement

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTRIBUTORURI`
`static final String`
`ELEMENTID`
`static final String`
`PERSISTEDSTATE`
`static final String`
`TAGS`
`static final String`
`TOPIC`
Deprecated.
`static final String`
`TOPIC_ALL`
`static final String`
`TOPIC_CONTRIBUTORURI`
`static final String`
`TOPIC_ELEMENTID`
`static final String`
`TOPIC_PERSISTEDSTATE`
`static final String`
`TOPIC_TAGS`
`static final String`
`TOPIC_TRANSIENTDATA`
`static final String`
`TRANSIENTDATA`

## Field Details

### TOPIC

@Deprecated static final String TOPIC
Deprecated.

See Also:
  - Constant Field Values

### TOPIC_ALL

static final String TOPIC_ALL

See Also:
  - Constant Field Values

### TOPIC_CONTRIBUTORURI

static final String TOPIC_CONTRIBUTORURI

See Also:
  - Constant Field Values

### TOPIC_ELEMENTID

static final String TOPIC_ELEMENTID

See Also:
  - Constant Field Values

### TOPIC_PERSISTEDSTATE

static final String TOPIC_PERSISTEDSTATE

See Also:
  - Constant Field Values

### TOPIC_TAGS

static final String TOPIC_TAGS

See Also:
  - Constant Field Values

### TOPIC_TRANSIENTDATA

static final String TOPIC_TRANSIENTDATA

See Also:
  - Constant Field Values

### CONTRIBUTORURI

static final String CONTRIBUTORURI

See Also:
  - Constant Field Values

### ELEMENTID

static final String ELEMENTID

See Also:
  - Constant Field Values

### PERSISTEDSTATE

static final String PERSISTEDSTATE

See Also:
  - Constant Field Values

### TAGS

static final String TAGS

See Also:
  - Constant Field Values

### TRANSIENTDATA

static final String TRANSIENTDATA

See Also:
  - Constant Field Values